Index: trunk/anuga_core/validation_tests/Tests/Analytical_exact/dam_break_dry/report.tex
===================================================================
--- trunk/anuga_core/validation_tests/Tests/Analytical_exact/dam_break_dry/report.tex	(revision 8720)
+++ trunk/anuga_core/validation_tests/Tests/Analytical_exact/dam_break_dry/report.tex	(revision 8721)
@@ -30,3 +30,10 @@
 \input{parameters}
 
+%======================
+% bibliography
+%======================
+
+\bibliographystyle{plain}
+\bibliography{../../../bibliography}
+
 \end{document}
Index: trunk/anuga_core/validation_tests/bibliography.bib
===================================================================
--- trunk/anuga_core/validation_tests/bibliography.bib	(revision 8720)
+++ trunk/anuga_core/validation_tests/bibliography.bib	(revision 8721)
@@ -1,2 +1,3 @@
+
 @ARTICLE{HK1968,
  author    = {D. D. Houghton and A. Kasahara},
@@ -1007,12 +1008,5 @@
  pages     = {83--109}
 }
-%@ARTICLE{HK1968,
-% author    = {D. D. Houghton and A. Kasahara},
-% title     = {Nonlinear Shallow Fluid Flow Over an Isolated Ridge},
-% journal   = {Communications on Pure and Applied Mathematics},
-% year      = {1968},
-% volume    = {XXI},
-% pages     = {1--23}
-%}
+
 @ARTICLE{LW1960,
  author    = {P. Lax and B. Wendroff},
@@ -1281,34 +1275,5 @@
 }
 
-%@ARTICLE{GRSW2007,
-% author    = {K. Ganeshamoorthy and D. N. Ranasinghe and  K. P. M. K. Silva and R. Wait},
-% title     = {Performance of shallow water equations model on the computational grid with overlay memory architectures},
-% journal   = {Proceedings of the Second International Conference on Industrial and Information Systems, ICIIS 2007, 8--11 August 2007, Sri Lanka},
-% year      = {2007},
-% volume    = {},
-% number    = {},
-% pages     = {415--420}
-%}
-%note      ={\url{http://dx.doi.org/10.1109/ICIINFS.2007.4579213}},
-%@ARTICLE{GWL2010,
-% author    = {S. Guangcai and W. Wenli and Y. L. Liu},
-% title     = {Numerical scheme for simulation of 2{D} flood waves},
-% journal   = {Proceedings of the International Conference on Computational and Information Sciences},
-% year      = {2010},
-% volume    = {},
-% number    = {},
-% pages     = {846--849}
-%}
-%note      ={\url{http://dx.doi.org/10.1109/ICCIS.2010.210}},
-%@ARTICLE{LCL2011,
-% author    = {C. Lu and Y. Chen and G. Li},
-% title     = {Weighted essential non-oscillatory schemes for simulations of shallow water equations with transport of pollutant on unstructured meshes},
-% journal   = {Proceedings of the Fourth International Conference on Information and Computing},
-% year      = {2011},
-% volume    = {},
-% number    = {},
-% pages     = {174--177}
-%}
-%note      ={\url{http://dx.doi.org/10.1109/ICIC.2011.143}},
+
 @ARTICLE{JNPMBH2010,
  author    = {J. D. Jakeman and O. M. Nielsen and K. V. Putten and R. Mleczko and D. Burbidge and N. Horspool},
@@ -1445,2 +1410,3 @@
  note        = {\url{http://www.igpm.rwth-aachen.de/Download/reports/noelle/Bollermann-Kurganov-Noelle_IGPM_Report.pdf}}
 }
+
Index: trunk/anuga_core/validation_tests/report.tex
===================================================================
--- trunk/anuga_core/validation_tests/report.tex	(revision 8720)
+++ trunk/anuga_core/validation_tests/report.tex	(revision 8721)
@@ -32,25 +32,25 @@
 %======================
 
-\inputresults{Tests/Simple/dam_break}
+\inputresults{Tests/Analytical_exact/dam_break_dry}
 
-\inputresults{Tests/Simple/runup1}
+%\inputresults{Tests/Simple/runup1}
 
-\inputresults{Tests/Simple/runup_sinusoid}
+%\inputresults{Tests/Simple/runup_sinusoid}
 
-\inputresults{Tests/Simple/trapezoidal_channel}
+%\inputresults{Tests/Simple/trapezoidal_channel}
 
-\inputresults{Tests/Simple/parabolic_basin_1D}
+%\inputresults{Tests/Simple/parabolic_basin_1D}
 
-\inputresults{Tests/Simple/deep_wave}
+%\inputresults{Tests/Simple/deep_wave}
 
-\inputresults{Tests/Simple/steep_slope}
+%\inputresults{Tests/Simple/steep_slope}
 
-%======================
-\chapter{Benchmark Tests}
-%======================
+%%======================
+%\chapter{Benchmark Tests}
+%%======================
 
-\inputresults{Tests/Benchmarks/Isolated_Building}
+%\inputresults{Tests/Benchmarks/Isolated_Building}
 
-\inputresults{Tests/Benchmarks/Okushiri}
+%\inputresults{Tests/Benchmarks/Okushiri}
 
 %======================
@@ -123,3 +123,10 @@
 
 
+%======================
+% bibliography
+%======================
+
+\bibliographystyle{plain}
+\bibliography{bibliography}
+
 \end{document}