Index: /trunk/anuga_core/user_manual/anuga_user_manual.tex
===================================================================
--- /trunk/anuga_core/user_manual/anuga_user_manual.tex	(revision 8728)
+++ /trunk/anuga_core/user_manual/anuga_user_manual.tex	(revision 8729)
@@ -84,4 +84,5 @@
 
 \begin{document}
+
 \maketitle
 
@@ -1442,5 +1443,5 @@
 \begin{figure}[htp]
   \begin{center}
-    \includegraphics[width=90mm, height=90mm]{triangularmesh.jpg}
+    \includegraphics[width=90mm, height=90mm]{graphics/triangularmesh.jpg}
   \end{center}
   \caption{A simple mesh}
@@ -4964,5 +4965,5 @@
 
 The Frequently Asked Questions have been move to the online FAQ at: \\
-\url{https://datamining.anu.edu.au/anuga/wiki/FrequentlyAskedQuestions}
+\url{https://anuga.anu.edu.au/wiki/FrequentlyAskedQuestions}
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Index: /trunk/anuga_core/user_manual/pypaper.sty
===================================================================
--- /trunk/anuga_core/user_manual/pypaper.sty	(revision 8728)
+++ /trunk/anuga_core/user_manual/pypaper.sty	(revision 8729)
@@ -3,5 +3,5 @@
 %  are the latex defaults.
 %
-\newcommand{\py@paper}{letterpaper}
+\newcommand{\py@paper}{a4paper}
 \newcommand{\py@ptsize}{10pt}
 
Index: /trunk/anuga_core/user_manual/python.sty
===================================================================
--- /trunk/anuga_core/user_manual/python.sty	(revision 8728)
+++ /trunk/anuga_core/user_manual/python.sty	(revision 8729)
@@ -33,8 +33,10 @@
 \py@doing@page@targetsfalse
 
-\newif\ifpdf\pdffalse
+\newif\iflpdf\lpdffalse
+
+
 \ifx\pdfoutput\undefined\else\ifcase\pdfoutput
 \else
-  \pdftrue
+  \lpdftrue
   \input{pdfcolor}
   \let\py@LinkColor=\NavyBlue
@@ -310,5 +312,5 @@
 % Refer to a module's documentation using a hyperlink of the module's
 % name, at least if we're building PDF:
-\ifpdf
+\iflpdf
   \newcommand{\refmodule}[2][\py@modulebadkey]{%
     \ifx\py@modulebadkey#1\def\py@modulekey{#2}\else\def\py@modulekey{#1}\fi%
@@ -491,5 +493,5 @@
 }
 
-\ifpdf
+\iflpdf
   \newcommand{\py@ModSynopsisSummary}[4]{%
     \py@linkToName{label-module-#1}{\bfcode{#2}} & #4\\
@@ -851,5 +853,5 @@
 % Use this def/redef approach for \url{} since hyperref defined this already,
 % but only if we actually used hyperref:
-\ifpdf
+\iflpdf
   \newcommand{\url}[1]{{%
     \py@pdfstartlink attr{/Border [0 0 0]} user{/S /URI /URI (#1)}%
@@ -927,5 +929,5 @@
 
 % \ulink{link text}{URL}
-\ifpdf
+\iflpdf
   \newcommand{\ulink}[2]{{%
     % For PDF, we *should* only generate a link when the URL is absolute.
@@ -942,5 +944,5 @@
 % cited titles:  \citetitle{Title of Work}
 %       online:  \citetitle[url-to-resource]{Title of Work}
-\ifpdf
+\iflpdf
   \newcommand{\citetitle}[2][\py@modulebadkey]{%
     \ifx\py@modulebadkey#1\emph{#2}\else\ulink{\emph{#2}}{#1}\fi%
@@ -1165,5 +1167,5 @@
 % sentences and be terminated with the proper punctuation.
 
-\ifpdf
+\iflpdf
   \newcommand{\py@seemodule}[3][\py@modulebadkey]{%
     \par%
Index: /trunk/anuga_core/user_manual/update_anuga_user_manual.py
===================================================================
--- /trunk/anuga_core/user_manual/update_anuga_user_manual.py	(revision 8728)
+++ /trunk/anuga_core/user_manual/update_anuga_user_manual.py	(revision 8729)
@@ -41,5 +41,5 @@
 from os.path import expanduser, split, join
 from anuga.utilities.system_tools import get_revision_number, get_pathname_from_package
-from anuga.config import anuga_version
+from anuga.config import major_revision
 from sys import argv
 
@@ -64,5 +64,5 @@
 
 
-do_html = True        
+do_html = False       
 if len(argv) > 1:
     if argv[1] == '--no_html':
@@ -77,5 +77,5 @@
 for line in fid.readlines():
     if line.startswith('\\release'):
-        line = '\\release{%s}\n' %(anuga_version)
+        line = '\\release{%s}\n' %(major_revision)
             
     lines.append(line)
@@ -115,8 +115,12 @@
 
 
+print 'Cleanup aux tex files'
+system('rm *.aux *.bbl *.blg *.idx *.ilg *.ind *.log *.out *.toc *.syn ')
+
+
 # Print
 print 'User manual compiled'
 
-print 'Anuga version:', anuga_version
+print 'Anuga version:', major_revision
 print 'Build:', get_revision_number()
 system('date')
Index: /trunk/anuga_core/user_manual/version.tex
===================================================================
--- /trunk/anuga_core/user_manual/version.tex	(revision 8728)
+++ /trunk/anuga_core/user_manual/version.tex	(revision 8729)
@@ -7,3 +7,3 @@
 % release version; this is used to define the
 % \version macro
-\release{1.2.1}
+\release{1.3.0-beta}