Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/avalanche_dry/plot_results.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/avalanche_dry/plot_results.py	(revision 8742)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/avalanche_dry/plot_results.py	(revision 8743)
@@ -19,5 +19,4 @@
 #Plot stages
 pyplot.clf()
-#pyplot.ion()
 pyplot.plot(p2_st.x[v2], p2_st.stage[0,v2],'b.-', label='numerical stage')
 pyplot.plot(p2_st.x[v2], p2_st.stage[10,v2], 'b.-')
@@ -37,5 +36,4 @@
 #Plot xmomentum
 pyplot.clf()
-#pyplot.ion()
 pyplot.plot(p2_st.x[v2], p2_st.xmom[0,v2], 'b.-', label='numerical')
 pyplot.plot(p2_st.x[v2], p2_st.xmom[10,v2], 'b.-')
@@ -53,5 +51,4 @@
 #Plot velocities
 pyplot.clf()
-#pyplot.ion()
 pyplot.plot(p2_st.x[v2], p2_st.xvel[0,v2], 'b.-', label='numerical')
 pyplot.plot(p2_st.x[v2], p2_st.xvel[10,v2], 'b.-')
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/avalanche_dry/produce_results.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/avalanche_dry/produce_results.py	(revision 8742)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/avalanche_dry/produce_results.py	(revision 8743)
@@ -11,4 +11,10 @@
     run_validation_script('numerical_avalanche_dry.py')
     run_validation_script('plot_results.py')
+    run('pdflatex', 'report.tex')
+    run('bibtex', 'report')
+    run('pdflatex', 'report.tex')
+    run('bibtex', 'report')
+    run('pdflatex', 'report.tex')
+    run('bibtex', 'report')    
 
 def clean():
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/avalanche_dry/report.tex
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/avalanche_dry/report.tex	(revision 8742)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/avalanche_dry/report.tex	(revision 8743)
@@ -9,6 +9,6 @@
 
 
-\input{../../../local-defs}
-\input{../../../saved_parameters}
+\input{../../local-defs}
+\input{../../saved_parameters}
 
 %=========================================
@@ -35,5 +35,5 @@
 
 \bibliographystyle{plain}
-\bibliography{../../../bibliography}
+\bibliography{../../bibliography}
 
 \end{document}
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/avalanche_wet/plot_results.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/avalanche_wet/plot_results.py	(revision 8742)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/avalanche_wet/plot_results.py	(revision 8743)
@@ -19,5 +19,4 @@
 #Plot stages
 pyplot.clf()
-#pyplot.ion()
 pyplot.plot(p2_st.x[v2], p2_st.stage[0,v2],'b.-', label='numerical stage')
 pyplot.plot(p2_st.x[v2], p2_st.stage[20,v2], 'b.-')
@@ -37,5 +36,4 @@
 #Plot xmomentum
 pyplot.clf()
-#pyplot.ion()
 pyplot.plot(p2_st.x[v2], p2_st.xmom[0,v2], 'b.-', label='numerical')
 pyplot.plot(p2_st.x[v2], p2_st.xmom[20,v2], 'b.-')
@@ -53,5 +51,4 @@
 #Plot velocities
 pyplot.clf()
-#pyplot.ion()
 pyplot.plot(p2_st.x[v2], p2_st.xvel[0,v2], 'b.-', label='numerical')
 pyplot.plot(p2_st.x[v2], p2_st.xvel[20,v2], 'b.-')
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/avalanche_wet/produce_results.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/avalanche_wet/produce_results.py	(revision 8742)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/avalanche_wet/produce_results.py	(revision 8743)
@@ -11,4 +11,10 @@
     run_validation_script('numerical_avalanche_wet.py')
     run_validation_script('plot_results.py')
+    run('pdflatex', 'report.tex')
+    run('bibtex', 'report')
+    run('pdflatex', 'report.tex')
+    run('bibtex', 'report')
+    run('pdflatex', 'report.tex')
+    run('bibtex', 'report')     
 
 def clean():
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/avalanche_wet/report.tex
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/avalanche_wet/report.tex	(revision 8742)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/avalanche_wet/report.tex	(revision 8743)
@@ -9,6 +9,6 @@
 
 
-\input{../../../local-defs}
-\input{../../../saved_parameters}
+\input{../../local-defs}
+\input{../../saved_parameters}
 
 %=========================================
@@ -34,5 +34,5 @@
 %======================
 \bibliographystyle{plain}
-\bibliography{../../../bibliography}
+\bibliography{../../bibliography}
 
 \end{document}
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/dam_break_dry/plot_results.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/dam_break_dry/plot_results.py	(revision 8742)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/dam_break_dry/plot_results.py	(revision 8743)
@@ -25,5 +25,4 @@
 #Plot stages
 pyplot.clf()
-pyplot.ion()
 pyplot.plot(p2_st.x[v2], p2_st.stage[10,v2],'b.', label='numerical')
 pyplot.plot(p2_st.x[v2], p2_st.stage[50,v2], 'b.')
@@ -41,5 +40,4 @@
 #Plot xmomentum
 pyplot.clf()
-pyplot.ion()
 pyplot.plot(p2_st.x[v2], p2_st.xmom[10,v2], 'b.', label='numerical')
 pyplot.plot(p2_st.x[v2], p2_st.xmom[50,v2], 'b.')
@@ -57,5 +55,4 @@
 #Plot velocities
 pyplot.clf()
-pyplot.ion()
 pyplot.plot(p2_st.x[v2], p2_st.xvel[10,v2], 'b.', label='numerical')
 pyplot.plot(p2_st.x[v2], p2_st.xvel[50,v2], 'b.')
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/dam_break_dry/produce_results.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/dam_break_dry/produce_results.py	(revision 8742)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/dam_break_dry/produce_results.py	(revision 8743)
@@ -11,8 +11,10 @@
     run_validation_script('numerical_dam_break_dry.py')
     run_validation_script('plot_results.py')
-    os.system('pdflatex report.tex')
+    run('pdflatex', 'report.tex')
     run('bibtex', 'report')
     run('pdflatex', 'report.tex')
-
+    run('bibtex', 'report')
+    run('pdflatex', 'report.tex')
+    run('bibtex', 'report') 
 
 def clean():
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/dam_break_dry/report.tex
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/dam_break_dry/report.tex	(revision 8742)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/dam_break_dry/report.tex	(revision 8743)
@@ -1,3 +1,3 @@
-\documentclass[11pt,a4paper]{amsart}
+\documentclass[11pt,a4paper]{article}%{amsart}
 
 \usepackage{graphicx}
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/dam_break_wet/plot_results.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/dam_break_wet/plot_results.py	(revision 8742)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/dam_break_wet/plot_results.py	(revision 8743)
@@ -23,5 +23,4 @@
 #Plot stages
 pyplot.clf()
-pyplot.ion()
 pyplot.plot(p2_st.x[v2], p2_st.stage[10,v2],'b.', label='numerical')
 pyplot.plot(p2_st.x[v2], p2_st.stage[50,v2], 'b.')
@@ -39,5 +38,4 @@
 #Plot xmomentums
 pyplot.clf()
-pyplot.ion()
 pyplot.plot(p2_st.x[v2], p2_st.xmom[10,v2], 'b.', label='numerical')
 pyplot.plot(p2_st.x[v2], p2_st.xmom[50,v2], 'b.')
@@ -55,5 +53,4 @@
 #Plot velocities
 pyplot.clf()
-pyplot.ion()
 pyplot.plot(p2_st.x[v2], p2_st.xvel[10,v2], 'b.', label='numerical')
 pyplot.plot(p2_st.x[v2], p2_st.xvel[50,v2], 'b.')
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/dam_break_wet/produce_results.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/dam_break_wet/produce_results.py	(revision 8742)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/dam_break_wet/produce_results.py	(revision 8743)
@@ -4,5 +4,5 @@
 from anuga_validation_tests.utilities.fabricate import *
 from anuga_validation_tests.utilities.run_validation import run_validation_script
-
+import os
 
 # Setup the python scripts which produce the output for this
@@ -11,5 +11,10 @@
     run_validation_script('numerical_dam_break_wet.py')
     run_validation_script('plot_results.py')
-    run('pdflatex','report.tex')
+    run('pdflatex', 'report.tex')
+    run('bibtex', 'report')
+    run('pdflatex', 'report.tex')
+    run('bibtex', 'report')
+    run('pdflatex', 'report.tex')
+    run('bibtex', 'report')   
 
 def clean():
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/dam_break_wet/report.tex
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/dam_break_wet/report.tex	(revision 8742)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/dam_break_wet/report.tex	(revision 8743)
@@ -9,6 +9,6 @@
 
 
-\input{../../../local-defs}
-\input{../../../saved_parameters}
+\input{../../local-defs}
+\input{../../saved_parameters}
 
 %=========================================
@@ -33,6 +33,6 @@
 % bibliography
 %======================
+
 \bibliographystyle{plain}
-\bibliography{../../../bibliography}
-
+\bibliography{../../bibliography}
 \end{document}