Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/lake_at_rest_immersed_bump/numerical_immersed_bump.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/lake_at_rest_immersed_bump/numerical_immersed_bump.py	(revision 8776)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/lake_at_rest_immersed_bump/numerical_immersed_bump.py	(revision 8777)
@@ -95,4 +95,14 @@
 
 #------------------------------------------------------------------------------
+# Produce a documentation of parameters
+#------------------------------------------------------------------------------
+parameter_file=open('parameters.tex', 'w')
+parameter_file.write('\\begin{verbatim}\n')
+from pprint import pprint
+pprint(domain.get_algorithm_parameters(),parameter_file,indent=4)
+parameter_file.write('\\end{verbatim}\n')
+parameter_file.close()
+
+#------------------------------------------------------------------------------
 # Evolve system through time
 #------------------------------------------------------------------------------
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/lake_at_rest_immersed_bump/plot_results.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/lake_at_rest_immersed_bump/plot_results.py	(revision 8776)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/lake_at_rest_immersed_bump/plot_results.py	(revision 8777)
@@ -18,5 +18,4 @@
 #Plot stages
 pyplot.clf()
-pyplot.ion()
 pyplot.plot(p2_st.x[v2], p2_st.stage[10,v2],'b.', label='numerical stage')
 pyplot.plot(p2_st.x[v2], p2_st.elev[v2],'k-', label='discretised bed')
@@ -32,5 +31,4 @@
 #Plot xmomentum
 pyplot.clf()
-pyplot.ion()
 pyplot.plot(p2_st.x[v2], p2_st.xmom[10,v2], 'b.', label='numerical')
 pyplot.plot(p2_st.x[v2], zeros(len(p2_st.x[v2])),'r-', label='analytical')
@@ -44,5 +42,4 @@
 #Plot velocities
 pyplot.clf()
-pyplot.ion()
 pyplot.plot(p2_st.x[v2], p2_st.xvel[10,v2], 'b.', label='numerical')
 pyplot.plot(p2_st.x[v2], zeros(len(p2_st.x[v2])),'r-', label='analytical')
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/lake_at_rest_immersed_bump/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/lake_at_rest_immersed_bump/produce_report.py	(revision 8777)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/lake_at_rest_immersed_bump/produce_report.py	(revision 8777)
@@ -0,0 +1,21 @@
+#! /usr/bin/python
+
+# To change this template, choose Tools | Templates
+# and open the template in the editor.
+
+__author__="steve"
+__date__ ="$13/03/2013 4:24:51 PM$"
+
+if __name__ == "__main__":
+    print "Hello World";
+
+import os
+
+
+os.system('pdflatex report.tex')
+os.system('bibtex report')
+os.system('pdflatex report.tex')
+os.system('bibtex report')
+os.system('pdflatex report.tex')
+os.system('bibtex report')
+os.system('pdflatex report.tex')
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/lake_at_rest_immersed_bump/produce_results.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/lake_at_rest_immersed_bump/produce_results.py	(revision 8776)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/lake_at_rest_immersed_bump/produce_results.py	(revision 8777)
@@ -11,4 +11,5 @@
     run_validation_script('numerical_immersed_bump.py')
     run_validation_script('plot_results.py')
+    run('python', 'produce_report.py')      
 
 def clean():
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/lake_at_rest_immersed_bump/report.tex
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/lake_at_rest_immersed_bump/report.tex	(revision 8777)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/lake_at_rest_immersed_bump/report.tex	(revision 8777)
@@ -0,0 +1,39 @@
+\documentclass[11pt,a4paper]{article}%{amsart}
+
+\usepackage{graphicx}
+\usepackage{epstopdf}
+\usepackage[section]{placeins} % 'one-shot' command to nicely place figures
+\usepackage{datatool}
+\usepackage{url}
+\DeclareUrlCommand\UScore{\urlstyle{rm}}
+
+
+\input{../../local-defs}
+\input{../../saved_parameters}
+
+%=========================================
+\begin{document} 
+%=========================================
+
+\title{Automated Report on the Performance of \anuga{} on the Steady State of a Lake at Rest with an Immersed Bump}
+\maketitle
+%\tableofcontents
+
+%======================
+%\chapter{Dry Dam Break}
+%======================
+
+\input{results}
+
+\section{Parameters used for this simulation}
+
+\input{parameters}
+
+%======================
+% bibliography
+%======================
+
+\bibliographystyle{plain}
+\bibliography{../../bibliography}
+
+\end{document}
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/lake_at_rest_immersed_bump/results.tex
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/lake_at_rest_immersed_bump/results.tex	(revision 8776)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/lake_at_rest_immersed_bump/results.tex	(revision 8777)
@@ -2,10 +2,18 @@
 \section{Lake at rest with an immersed bump}
 
-This is a simple test if the method is well-balanced.
+This is a simple test if the method is well-balanced. 
+The initial condition is a lake at rest with water depth $0.5$. The topography is
+\begin{equation}
+z(x)= \left\{ \begin{array}{ll}
+ 0.2-0.05\left(x-10\right)^2& ~\textrm{if}\quad 8 \leq x \leq 12\,,\\
+ 0& ~\textrm{otherwise,}\\
+\end{array} \right.
+\end{equation}
+The analytical solution is obviously a lake at rest, that is, $w=0.5$ and $u=v=0$.
+
 
 \subsection{Results}
 
-
-We should see excellent agreement between the analytical and numerical solutions if the method is well-balanced.
+Setting up the boundaries to be reflective, we should see excellent agreement between the analytical and numerical solutions if the method is well-balanced. Some oscillations may occur, but if the method is well-balanced, they should be very close to the order of the machine precision. The following three figures show the stage, $x$-momentum, and $x$-velocity after running \anuga{} for some time.
 
 \begin{figure}[h]