Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/parabolic_basin/analytical_parabolic_basin.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/parabolic_basin/analytical_parabolic_basin.py	(revision 8787)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/parabolic_basin/analytical_parabolic_basin.py	(revision 8788)
@@ -4,6 +4,7 @@
 """
 from numpy import zeros,sqrt,sin,cos
+from anuga import g
 
-def analytic_cannal(x,t, D0=4., L=10., A=2., g=9.81):
+def analytic_cannal(x,t, D0=4., L=10., A=2., g=g):
     omega = sqrt(2*D0*g)/L
     N = len(x)
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/parabolic_basin/numerical_parabolic_basin.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/parabolic_basin/numerical_parabolic_basin.py	(revision 8787)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/parabolic_basin/numerical_parabolic_basin.py	(revision 8788)
@@ -101,4 +101,15 @@
 
 
+#------------------------------------------------------------------------------
+# Produce a documentation of parameters
+#------------------------------------------------------------------------------
+parameter_file=open('parameters.tex', 'w')
+parameter_file.write('\\begin{verbatim}\n')
+from pprint import pprint
+pprint(domain.get_algorithm_parameters(),parameter_file,indent=4)
+parameter_file.write('\\end{verbatim}\n')
+parameter_file.close()
+
+
 #------------------------------
 #Evolve the system through time
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/parabolic_basin/plot_results_cross_section.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/parabolic_basin/plot_results_cross_section.py	(revision 8787)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/parabolic_basin/plot_results_cross_section.py	(revision 8788)
@@ -24,5 +24,4 @@
 #Plot stages
 pyplot.clf()
-pyplot.ion()
 pyplot.plot(p2_st.x[v2], p2_st.stage[time_level,v2],'b.', label='numerical stage')
 pyplot.plot(p2_st.x[v2], p2_st.elev[v2],'k-', label='bed elevation')
@@ -37,5 +36,4 @@
 #Plot xmomentum
 pyplot.clf()
-pyplot.ion()
 pyplot.plot(p2_st.x[v2], p2_st.xmom[time_level,v2], 'b.', label='numerical')
 pyplot.plot(p2_st.x[v2], u*h,'r-', label='analytical')
@@ -49,5 +47,4 @@
 #Plot velocities
 pyplot.clf()
-pyplot.ion()
 pyplot.plot(p2_st.x[v2], p2_st.xvel[time_level,v2], 'b.', label='numerical')
 pyplot.plot(p2_st.x[v2], u,'r-', label='analytical')
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/parabolic_basin/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/parabolic_basin/produce_report.py	(revision 8788)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/parabolic_basin/produce_report.py	(revision 8788)
@@ -0,0 +1,21 @@
+#! /usr/bin/python
+
+# To change this template, choose Tools | Templates
+# and open the template in the editor.
+
+__author__="steve"
+__date__ ="$13/03/2013 4:24:51 PM$"
+
+if __name__ == "__main__":
+    print "Hello World";
+
+import os
+
+
+os.system('pdflatex report.tex')
+os.system('bibtex report')
+os.system('pdflatex report.tex')
+os.system('bibtex report')
+os.system('pdflatex report.tex')
+os.system('bibtex report')
+os.system('pdflatex report.tex')
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/parabolic_basin/produce_results.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/parabolic_basin/produce_results.py	(revision 8787)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/parabolic_basin/produce_results.py	(revision 8788)
@@ -12,4 +12,5 @@
     run_validation_script('plot_results_cross_section.py')
     run_validation_script('plot_results_origin_wrt_time.py')    
+    run('python', 'produce_report.py')    
 
 def clean():
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/parabolic_basin/report.tex
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/parabolic_basin/report.tex	(revision 8788)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/parabolic_basin/report.tex	(revision 8788)
@@ -0,0 +1,39 @@
+\documentclass[11pt,a4paper]{article}%{amsart}
+
+\usepackage{graphicx}
+\usepackage{epstopdf}
+\usepackage[section]{placeins} % 'one-shot' command to nicely place figures
+\usepackage{datatool}
+\usepackage{url}
+\DeclareUrlCommand\UScore{\urlstyle{rm}}
+
+
+\input{../../local-defs}
+\input{../../saved_parameters}
+
+%=========================================
+\begin{document} 
+%=========================================
+
+\title{Automated Report on the Performance of \anuga{} on Thacker's Planar Oscillations on a Parabolic Basin}
+\maketitle
+%\tableofcontents
+
+%======================
+%\chapter{Dry Dam Break}
+%======================
+
+\input{results}
+
+\section{Parameters used for this simulation}
+
+\input{parameters}
+
+%======================
+% bibliography
+%======================
+
+\bibliographystyle{plain}
+\bibliography{../../bibliography}
+
+\end{document}
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/parabolic_basin/results.tex
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/parabolic_basin/results.tex	(revision 8787)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/parabolic_basin/results.tex	(revision 8788)
@@ -1,29 +1,44 @@
-\section{1D Parabolic Basin}
-This simulates flow oscillations in a 1D parabolic basin. The analytical solution is described by Thacker (REF), and is periodic. At any instant in time, the free surface elevation is planar, and the velocity is constant (in wet regions). The scenario includes regular wetting and drying, as the flow oscillates back and forth in the basin. As well as testing the ability of the code to do wetting and drying, it will highlight any numerical energy loss or gain, manifest as an increase or decrease in the magnitude of the flow oscillations over long time periods, compared with the analytical solution. 
+\section{Thacker's Planar Oscillations on a Parabolic Basin}
+This test simulates planar oscillations of water in a parabolic basin. The analytical solution was derived by Thacker~\cite{Thacker1981}, and is periodic. At any instant in time, the free surface elevation is planar, and the velocity is constant (in wet regions). The scenario includes regular wetting and drying, as the flow oscillates back and forth in the basin. As well as testing the ability of the code to do wetting and drying, it will highlight any numerical energy loss or gain, and manifest as an increase or decrease in the magnitude of the flow oscillations over long time periods (compared with the analytical solution). 
+
+Consider the topography
+\begin{equation}
+z(x) = D_0 \left(\frac{x}{L}\right)^2
+\end{equation}
+where $D_0$ is the largest depth when water is still and $L$ is the distance between the centre of water surface and the shore when water is still.
+The analytical solution is 
+\begin{equation}
+u(x,t) = -A \omega \sin(\omega t),
+\end{equation}
+\begin{equation}
+w(x,t) = D_0 + \frac{2 A D_0}{L^2} \cos(\omega t) \left( x - \frac{A}{2}\cos(\omega t) \right).
+\end{equation}
+Here $\omega=\sqrt{\frac{2 g D_0)}{L}}$.
+The initial condition is set by taking $t=0$ in the analytical solution.
+
 
 \subsection{Results}
+For our test, we consider $D_0=4$, $L=10$, and $A=2$. After running the simulation for some time, we have Figures~\ref{fig:cross_section_stage}--\ref{fig:cross_section_xvel} showing the stage, $x$-momentum, and $x$-velocity respectively. There should be a good agreement between numerical and analytical solutions.
 
-Figures~\ref{fig:cross_section_stage}--\ref{fig:cross_section_xvel} show a good agreement between analytical and numerical solutions.
-
-\begin{figure}[h]
+\begin{figure}[!h]
 \begin{center}
 \includegraphics[width=0.9\textwidth]{cross_section_stage.png}
-\caption{Stage on a cross section of the basin at time $t=$ ?}
+\caption{Stage on a cross section of the basin at time $t=10$.}
 \label{fig:cross_section_stage}
 \end{center}
 \end{figure}
 
-\begin{figure}[h]
+\begin{figure}
 \begin{center}
 \includegraphics[width=0.9\textwidth]{cross_section_xmom.png}
-\caption{Xmomentum on a cross section of the basin at time $t=$ ?}
+\caption{Xmomentum on a cross section of the basin at time $t=10$.}
 \label{fig:cross_section_xmom}
 \end{center}
 \end{figure}
 
-\begin{figure}[h]
+\begin{figure}
 \begin{center}
 \includegraphics[width=0.9\textwidth]{cross_section_xvel.png}
-\caption{Xvelocity on a cross section of the basin at time $t=$ ?}
+\caption{Xvelocity on a cross section of the basin at time $t=10$.}
 \label{fig:cross_section_xvel}
 \end{center}
@@ -31,7 +46,7 @@
 
 
-There should be a good agreement with the analytical solution, although as time goes on, some deviations may appear.  See Figures~\ref{fig:Stage_centre}--\ref{fig:Xvel_centre}.
+As time goes on, some small deviations may appear. These are shown in Figures~\ref{fig:Stage_centre}--\ref{fig:Xvel_centre}, which illustrate the stage, $x$-momentum, and $x$-velocity at the centroid of the domain.
 
-\begin{figure}[h]
+\begin{figure}[!h]
 \begin{center}
 \includegraphics[width=0.9\textwidth]{Stage_centre.png}
@@ -41,5 +56,5 @@
 \end{figure}
 
-\begin{figure}[h]
+\begin{figure}
 \begin{center}
 \includegraphics[width=0.9\textwidth]{Xmom_centre.png}
@@ -49,5 +64,5 @@
 \end{figure}
 
-\begin{figure}[h]
+\begin{figure}
 \begin{center}
 \includegraphics[width=0.9\textwidth]{Xvel_centre.png}