Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/paraboloid_basin/analytical_paraboloid_basin.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/paraboloid_basin/analytical_paraboloid_basin.py	(revision 8789)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/paraboloid_basin/analytical_paraboloid_basin.py	(revision 8790)
@@ -6,8 +6,9 @@
 """
 from numpy import zeros, sin, cos, sqrt
+from anuga import g
 
 
 # Set bed elevation
-def bed_elevation(x,y,D0=1000.,L=2500.,R0=2000.,g=9.81):
+def bed_elevation(x,y,D0=1000.,L=2500.,R0=2000.,g=g):
     n = x.shape[0]
     z = 0*x
@@ -17,5 +18,5 @@
     return z
 
-def analytic_sol(x,y,t,D0=1000.,L=2500.,R0=2000.,g=9.81):
+def analytic_sol(x,y,t,D0=1000.,L=2500.,R0=2000.,g=g):
     A = (L**4 - R0**4)/(L**4 + R0**4)
     omega = 2./L*sqrt(2.*g*D0)
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/paraboloid_basin/numerical_paraboloid_basin.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/paraboloid_basin/numerical_paraboloid_basin.py	(revision 8789)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/paraboloid_basin/numerical_paraboloid_basin.py	(revision 8790)
@@ -14,4 +14,5 @@
 import sys
 import anuga
+from anuga import g
 from math import sqrt, cos, sin, pi
 from numpy import asarray
@@ -84,5 +85,4 @@
 L = 2500.
 R0 = 2000.
-g = 9.81
 
 A = (L**4 - R0**4)/(L**4 + R0**4)
@@ -165,4 +165,15 @@
 #===============================================================================
 
+
+#------------------------------------------------------------------------------
+# Produce a documentation of parameters
+#------------------------------------------------------------------------------
+parameter_file=open('parameters.tex', 'w')
+parameter_file.write('\\begin{verbatim}\n')
+from pprint import pprint
+pprint(domain.get_algorithm_parameters(),parameter_file,indent=4)
+parameter_file.write('\\end{verbatim}\n')
+parameter_file.close()
+
 for t in domain.evolve(yieldstep = 1.0, finaltime = 200.0):
     domain.write_time()
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/paraboloid_basin/plot_results_cross_section.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/paraboloid_basin/plot_results_cross_section.py	(revision 8789)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/paraboloid_basin/plot_results_cross_section.py	(revision 8790)
@@ -22,5 +22,4 @@
 #Plot stages
 pyplot.clf()
-pyplot.ion()
 pyplot.plot(p2_st.x[v2], p2_st.stage[time_level,v2],'b.', label='numerical stage')
 pyplot.plot(p2_st.x[v2], p2_st.elev[v2],'k-', label='bed elevation')
@@ -35,5 +34,4 @@
 #Plot xmomentum
 pyplot.clf()
-pyplot.ion()
 pyplot.plot(p2_st.x[v2], p2_st.xmom[time_level,v2], 'b.', label='numerical')
 pyplot.plot(p2_st.x[v2], u2*h2,'r-', label='analytical')
@@ -47,5 +45,4 @@
 #Plot velocities
 pyplot.clf()
-pyplot.ion()
 pyplot.plot(p2_st.x[v2], p2_st.xvel[time_level,v2], 'b.', label='numerical')
 pyplot.plot(p2_st.x[v2], u2,'r-', label='analytical')
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/paraboloid_basin/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/paraboloid_basin/produce_report.py	(revision 8790)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/paraboloid_basin/produce_report.py	(revision 8790)
@@ -0,0 +1,21 @@
+#! /usr/bin/python
+
+# To change this template, choose Tools | Templates
+# and open the template in the editor.
+
+__author__="steve"
+__date__ ="$13/03/2013 4:24:51 PM$"
+
+if __name__ == "__main__":
+    print "Hello World";
+
+import os
+
+
+os.system('pdflatex report.tex')
+os.system('bibtex report')
+os.system('pdflatex report.tex')
+os.system('bibtex report')
+os.system('pdflatex report.tex')
+os.system('bibtex report')
+os.system('pdflatex report.tex')
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/paraboloid_basin/produce_results.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/paraboloid_basin/produce_results.py	(revision 8789)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/paraboloid_basin/produce_results.py	(revision 8790)
@@ -12,4 +12,5 @@
     run_validation_script('plot_results_cross_section.py')
     run_validation_script('plot_results_origin_wrt_time.py')    
+    run('python', 'produce_report.py')    
 
 def clean():
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/paraboloid_basin/report.tex
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/paraboloid_basin/report.tex	(revision 8790)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/paraboloid_basin/report.tex	(revision 8790)
@@ -0,0 +1,39 @@
+\documentclass[11pt,a4paper]{article}%{amsart}
+
+\usepackage{graphicx}
+\usepackage{epstopdf}
+\usepackage[section]{placeins} % 'one-shot' command to nicely place figures
+\usepackage{datatool}
+\usepackage{url}
+\DeclareUrlCommand\UScore{\urlstyle{rm}}
+
+
+\input{../../local-defs}
+\input{../../saved_parameters}
+
+%=========================================
+\begin{document} 
+%=========================================
+
+\title{Automated Report on the Performance of \anuga{} for Water Oscillations on a Paraboloid Basin}
+\maketitle
+%\tableofcontents
+
+%======================
+%\chapter{Dry Dam Break}
+%======================
+
+\input{results}
+
+\section{Parameters used for this simulation}
+
+\input{parameters}
+
+%======================
+% bibliography
+%======================
+
+\bibliographystyle{plain}
+\bibliography{../../bibliography}
+
+\end{document}
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/paraboloid_basin/results.tex
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/paraboloid_basin/results.tex	(revision 8789)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/paraboloid_basin/results.tex	(revision 8790)
@@ -1,10 +1,29 @@
-\section{Oscillation on a paraboloid basin}
-This simulates flow oscillations in a paraboloid basin. The analytical solution is described by Thacker (REF), and is periodic. At any instant in time, the free surface elevation is paraboloid, and the velocity is linear. The scenario includes regular wetting and drying, as the flow oscillates back and forth in the basin. As well as testing the ability of the code to do wetting and drying, it will highlight any numerical energy loss or gain, manifest as an increase or decrease in the magnitude of the flow oscillations over long time periods, compared with the analytical solution. 
+\section{Oscillations on a paraboloid basin}
+This test simulates water oscillations on a paraboloid basin. The analytical solution was derived by Thacker~\cite{Thacker1981}, and is periodic. At any instant in time, the free surface elevation is paraboloid, and the velocity is linear. The scenario includes regular wetting and drying, as the flow oscillates up and down in the basin. As well as testing the ability of the code to do wetting and drying, it will highlight any numerical energy loss or gain, and manifest as an increase or decrease in the magnitude of the flow oscillations over long time periods (compared with the analytical solution). This test was also implemented by Yoon and Cho~\cite{YC2001} to investigate the performance of their numerical method.
+
+Consider the topography in two dimensions
+\begin{equation}
+z(x,y) = -D_0\left[1 -\left(\frac{r}{L}\right)^2\right]
+\end{equation}
+where $r=\sqrt{x^2 + y^2}$. Here $D_0$ is the largest depth when water is still and $L$ is the distance between the centre of water surface and the shore when water is still.
+The analytical solution is 
+\begin{equation}
+u(x,y,t) = \frac{\omega r A sin{(\omega t)}}{ 2 \left[1 -A \cos(\omega t)\right] },
+\end{equation}
+\begin{equation}
+w(x,y,t) = D_0 \left[\frac{\sqrt(1-A^2)}{1-A\cos(\omega t)}  -1 
+-\left( \frac{r}{L}\right)^2 \frac{1-A^2}{[(1-A\cos(\omega t))^2]-1} \right].
+\end{equation}
+Here $\omega=\frac{2\sqrt{2 g D_0}}{L}$ and $A = \frac{L^4 - R_0^4}{L^4 + R_0^4}$ and $R_0$ is the horizontal distance between the centre of water surface and the shore at the initial condition.
+The initial condition is set by taking $t=0$ in the analytical solution.
 
 \subsection{Results}
+For our test, we consider $D_0=1000$, $L=2500$, and $R_0=2000$.
+After running the simulation for some time, we have Figures~\ref{fig:cs_stage}--\ref{fig:cs_xvel} showing the stage, $x$-momentum, and $x$-velocity respectively. There should be a good agreement between numerical and analytical solutions.
 
-Figures~\ref{fig:cs_stage}--\ref{fig:cs_xvel} show a good agreement between analytical and numerical solutions.
+As time goes on, some small deviations may appear. These are shown in Figures~\ref{fig:w_centre}--\ref{fig:u_centre}, which illustrate the stage, $x$-momentum, and $x$-velocity at the centroid of the domain.
 
-\begin{figure}[h]
+
+\begin{figure}
 \begin{center}
 \includegraphics[width=0.9\textwidth]{cross_section_stage.png}
@@ -14,5 +33,5 @@
 \end{figure}
 
-\begin{figure}[h]
+\begin{figure}
 \begin{center}
 \includegraphics[width=0.9\textwidth]{cross_section_xmom.png}
@@ -22,5 +41,5 @@
 \end{figure}
 
-\begin{figure}[h]
+\begin{figure}
 \begin{center}
 \includegraphics[width=0.9\textwidth]{cross_section_xvel.png}
@@ -31,9 +50,9 @@
 
 
-There should be a good agreement with the analytical solution, although as time goes on, some deviations may appear.  See Figures~\ref{fig:w_centre}--\ref{fig:u_centre}.
 
-\begin{figure}[h]
+
+\begin{figure}
 \begin{center}
-\includegraphics[width=0.9\textwidth]{Stage_centre.png}
+\includegraphics[width=0.9\textwidth]{Stage_origin.png}
 \caption{Stage over time in the centre of the paraboloid basin.}
 \label{fig:w_centre}
@@ -41,7 +60,7 @@
 \end{figure}
 
-\begin{figure}[h]
+\begin{figure}
 \begin{center}
-\includegraphics[width=0.9\textwidth]{Xmom_centre.png}
+\includegraphics[width=0.9\textwidth]{Xmom_origin.png}
 \caption{Xmomentum over time in the centre of the paraboloid basin.}
 \label{fig:p_centre}
@@ -49,7 +68,7 @@
 \end{figure}
 
-\begin{figure}[h]
+\begin{figure}
 \begin{center}
-\includegraphics[width=0.9\textwidth]{Xvel_centre.png}
+\includegraphics[width=0.9\textwidth]{Xvel_origin.png}
 \caption{Xvelocity over time in the centre of the paraboloid basin.}
 \label{fig:u_centre}