Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/transcritical_without_shock/analytical_without_shock.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/transcritical_without_shock/analytical_without_shock.py	(revision 8799)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/transcritical_without_shock/analytical_without_shock.py	(revision 8800)
@@ -12,9 +12,9 @@
 from scipy.optimize import fsolve
 from pylab import plot, show
+from anuga import g
 
 
 q0  = 1.53  # This is the imposed momentum
 h_d = 0.66  # This is the water height downstream
-g   = 9.81  # Accelleration due to gravity
 
 def analytic_sol(x):
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/transcritical_without_shock/numerical_transcritical.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/transcritical_without_shock/numerical_transcritical.py	(revision 8799)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/transcritical_without_shock/numerical_transcritical.py	(revision 8800)
@@ -107,4 +107,14 @@
 
 #------------------------------------------------------------------------------
+# Produce a documentation of parameters
+#------------------------------------------------------------------------------
+parameter_file=open('parameters.tex', 'w')
+parameter_file.write('\\begin{verbatim}\n')
+from pprint import pprint
+pprint(domain.get_algorithm_parameters(),parameter_file,indent=4)
+parameter_file.write('\\end{verbatim}\n')
+parameter_file.close()
+
+#------------------------------------------------------------------------------
 # Evolve system through time
 #------------------------------------------------------------------------------
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/transcritical_without_shock/plot_results.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/transcritical_without_shock/plot_results.py	(revision 8799)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/transcritical_without_shock/plot_results.py	(revision 8800)
@@ -18,5 +18,4 @@
 #Plot the stages##############################################################
 pyplot.clf()
-pyplot.ion()
 pyplot.plot(p2_st.x[v2], p2_st.stage[300,v2], 'b.-', label='numerical stage') # 0*T/6
 pyplot.plot(p2_st.x[v2], h+z,'r-', label='analytical stage')
@@ -32,5 +31,4 @@
 #Plot the momentums##########################################################
 pyplot.clf()
-pyplot.ion()
 pyplot.plot(p2_st.x[v2], p2_st.xmom[300,v2], 'b.-', label='numerical') # 0*T/6
 pyplot.plot(p2_st.x[v2], 1.53*ones(len(p2_st.x[v2])),'r-', label='analytical')
@@ -46,5 +44,4 @@
 #Plot the velocities#########################################################
 pyplot.clf()
-pyplot.ion()
 pyplot.plot(p2_st.x[v2], p2_st.xvel[300,v2], 'b.-', label='numerical') # 0*T/6
 pyplot.plot(p2_st.x[v2], 1.53/h,'r-', label='analytical')
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/transcritical_without_shock/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/transcritical_without_shock/produce_report.py	(revision 8800)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/transcritical_without_shock/produce_report.py	(revision 8800)
@@ -0,0 +1,21 @@
+#! /usr/bin/python
+
+# To change this template, choose Tools | Templates
+# and open the template in the editor.
+
+__author__="steve"
+__date__ ="$13/03/2013 4:24:51 PM$"
+
+if __name__ == "__main__":
+    print "Hello World";
+
+import os
+
+
+os.system('pdflatex report.tex')
+os.system('bibtex report')
+os.system('pdflatex report.tex')
+os.system('bibtex report')
+os.system('pdflatex report.tex')
+os.system('bibtex report')
+os.system('pdflatex report.tex')
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/transcritical_without_shock/produce_results.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/transcritical_without_shock/produce_results.py	(revision 8799)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/transcritical_without_shock/produce_results.py	(revision 8800)
@@ -11,4 +11,5 @@
     run_validation_script('numerical_transcritical.py')
     run_validation_script('plot_results.py')
+    run('python', 'produce_report.py')      
 
 def clean():
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/transcritical_without_shock/report.tex
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/transcritical_without_shock/report.tex	(revision 8800)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/transcritical_without_shock/report.tex	(revision 8800)
@@ -0,0 +1,39 @@
+\documentclass[11pt,a4paper]{article}%{amsart}
+
+\usepackage{graphicx}
+\usepackage{epstopdf}
+\usepackage[section]{placeins} % 'one-shot' command to nicely place figures
+\usepackage{datatool}
+\usepackage{url}
+\DeclareUrlCommand\UScore{\urlstyle{rm}}
+
+
+\input{../../local-defs}
+\input{../../saved_parameters}
+
+%=========================================
+\begin{document} 
+%=========================================
+
+\title{Automated Report on the Performance of \anuga{} on the Steady State of a Lake at Rest with an Immersed Bump:\\Transcritical Flow without a Shock}
+\maketitle
+%\tableofcontents
+
+%======================
+%\chapter{Dry Dam Break}
+%======================
+
+\input{results}
+
+\section{Parameters used for this simulation}
+
+\input{parameters}
+
+%======================
+% bibliography
+%======================
+
+\bibliographystyle{plain}
+\bibliography{../../bibliography}
+
+\end{document}
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/transcritical_without_shock/results.tex
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/transcritical_without_shock/results.tex	(revision 8799)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/transcritical_without_shock/results.tex	(revision 8800)
@@ -1,11 +1,29 @@
 
-\section{Flow over a bump: transcritical flow without a shock}
+\section{Transcritical flow without a shock over a bump}
 
-This is transcritical flow over a bump without a shock.
+This scenario exhibits transcritical flow without a shock over a bump.
+This test is adapted from Goutal and Maurel~\cite{GM1997}.
+The topography and the initial conditions are the same as those used in the subcritical flow as well as the transcritical flow with a shock (See the description given in the report on the subcritical flow and transcritical flow with a shock). The boundary conditions are different from those used in the subcritical flow test. Here we refer to the parameters used by Goutal and Maurel~\cite{GM1997}. The analytical height or depth $h$ of the transcritical flow is calculated the Bernoulli equation. The velocity is computed as $u=q/h$\,.
 
 \subsection{Results}
+Referring to Goutal and Maurel~\cite{GM1997}, we consider the initial condition
+\begin{equation}
+u(x,y,0)=v(x,y,0)=0\,, \quad
+w(x,y,0)= 0.66\,,
+\end{equation}
+We enforce Dirichlet boundary conditions
+at $x=0^{-}$ given by
+\begin{equation}
+[w,hu,hv]=[1.0144468506259066,~~~1.53,~~~0]\,,
+\end{equation}
+and at $25^{+}$ given by
+\begin{equation}
+[w,hu,hv]=[0.4057809296474606,~~~1.53,~~~0]\,.
+\end{equation}
 
 
-We should see excellent agreement between the analytical and numerical solutions.
+
+
+Representatives of the simulation results are given in the following three figures. We should see excellent agreement between the analytical and numerical solutions. Small discrepancy may occurs for the $x$-momentum. It is not clear what makes this discrepancy. Numerical analysis may be conducted further to investigate why this discrepancy occurs.
 
 \begin{figure}[h]