Index: /trunk/anuga_core/source/anuga_validation_tests/bibliography.bib
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/bibliography.bib	(revision 8801)
+++ /trunk/anuga_core/source/anuga_validation_tests/bibliography.bib	(revision 8802)
@@ -1,2 +1,32 @@
+@ARTICLE{MBNS1997,
+ author    = {I. MacDonald and M. J. Baines and N. K. Nichols and P. G. Samuels},
+ title     = {Analytic benchmark solutions for open-channel flows},
+ journal   = {Journal of Hydraulic Engineering},
+ year      = {1997},
+ volume    = {123},
+ number    = {11},
+ pages     = {1041--1045},
+ note      = {\url{http://dx.doi.org/10.1061/(ASCE)0733-9429(1997)123:11(1041)}}
+}
+
+@ARTICLE{MBNS1995,
+ author    = {I. MacDonald and M. J. Baines and N. K. Nichols and P. G. Samuels},
+ title     = {Steady open channel test problems with analytic solutions},
+ journal   = {Numerical Analysis Report 3/95, University of Reading},
+ year      = {1995},
+ note      = {\url{http://www.reading.ac.uk/web/FILES/maths/03-95.pdf}}
+}
+
+@ARTICLE{Delestre-etal2012,
+ author    = {O. Delestre and C. Lucas and P.-A. Ksinant and F. Darboux and 
+              C. Laguerre and T.-N. -Tuoi Vo and F. James and S. Cordier},
+ title     = {SWASHES: a compilation of shallow water analytic solutions for hydraulic and environmental studies},
+ journal   = {International Journal for Numerical Methods in Fluids},
+ year      = {2012},
+ volume    = {Early View},
+ note      = {\url{http://dx.doi.org/10.1002/fld.3741}}
+}
+
+
 
 @ARTICLE{HK1968,
@@ -87,5 +117,5 @@
  year      = {2006}
 }
-% note      = {\url{http://anuga.anu.edu.au/raw-attachment/wiki/AnugaPublications/John_Jakeman.pdf}}
+
 @BOOK{George2006,
  author    = {D. L. George},
@@ -1253,6 +1283,5 @@
  volume    = {2},
  number    = {2},
- pages     = {75--87},
- note      ={\url{http://en.scientificcommons.org/49094905}}
+ pages     = {75--87}
 }
 
Index: /trunk/anuga_core/source/anuga_validation_tests/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/produce_report.py	(revision 8802)
+++ /trunk/anuga_core/source/anuga_validation_tests/produce_report.py	(revision 8802)
@@ -0,0 +1,21 @@
+#! /usr/bin/python
+
+# To change this template, choose Tools | Templates
+# and open the template in the editor.
+
+__author__="steve"
+__date__ ="$13/03/2013 4:24:51 PM$"
+
+if __name__ == "__main__":
+    print "Hello World";
+
+import os
+
+
+os.system('pdflatex report.tex')
+os.system('bibtex report')
+os.system('pdflatex report.tex')
+os.system('bibtex report')
+os.system('pdflatex report.tex')
+os.system('bibtex report')
+os.system('pdflatex report.tex')
Index: /trunk/anuga_core/source/anuga_validation_tests/report.tex
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/report.tex	(revision 8801)
+++ /trunk/anuga_core/source/anuga_validation_tests/report.tex	(revision 8802)
@@ -6,4 +6,5 @@
 \usepackage{datatool}
 \usepackage{url}
+\usepackage{amsmath}
 \DeclareUrlCommand\UScore{\urlstyle{rm}}
 
@@ -17,4 +18,5 @@
 
 \title{Automated Report on the Performance of \anuga{} on Various Test Problems}
+\author{Sudi Mungkasi, Stephen Roberts, Gareth Davies, Rudy van Drie}    %Type your name(s) here! 
 \maketitle
 \tableofcontents
@@ -29,5 +31,5 @@
 
 %======================
-\chapter{Simple Tests}
+\chapter{Tests using analytical exact solutions}
 %======================
 
@@ -36,17 +38,21 @@
 \inputresults{Analytical_exact/avalanche_dry}
 \inputresults{Analytical_exact/avalanche_wet}
+\inputresults{Analytical_exact/carrier_greenspan_periodic}
+\inputresults{Analytical_exact/carrier_greenspan_transient}
+\inputresults{Analytical_exact/deep_wave}
+\inputresults{Analytical_exact/MacDonald_short_channel}
+\inputresults{Analytical_exact/parabolic_basin}
+\inputresults{Analytical_exact/paraboloid_basin}
 
-%\inputresults{Tests/Simple/runup1}
+\inputresults{Analytical_exact/runup_on_beach}
+\inputresults{Analytical_exact/runup_on_sinusoid_beach}
 
-%\inputresults{Tests/Simple/runup_sinusoid}
-
-%\inputresults{Tests/Simple/trapezoidal_channel}
-
-%\inputresults{Tests/Simple/parabolic_basin_1D}
-
-%\inputresults{Tests/Simple/deep_wave}
-
-%\inputresults{Tests/Simple/steep_slope}
-
+\inputresults{Analytical_exact/lake_at_rest_immersed_bump}
+\inputresults{Analytical_exact/lake_at_rest_steep_island}
+\inputresults{Analytical_exact/rundown_mild_slope}
+\inputresults{Analytical_exact/subcritical_over_bump}
+\inputresults{Analytical_exact/transcritical_with_shock}
+\inputresults{Analytical_exact/transcritical_without_shock}
+\inputresults{Analytical_exact/trapezoidal_channel}
 %%======================
 %\chapter{Benchmark Tests}
Index: /trunk/anuga_core/source/anuga_validation_tests/utilities.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/utilities.py	(revision 8801)
+++ /trunk/anuga_core/source/anuga_validation_tests/utilities.py	(revision 8802)
@@ -7,5 +7,5 @@
 
 def run_validation_script(script):
-    from fabricate import * run
+    from fabricate import run
     from validation_tests.parameters import alg,cfl
     run('python', script,  '-alg', alg, '-cfl', cfl)