Index: /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/generic_domain.py
===================================================================
--- /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/generic_domain.py	(revision 8809)
+++ /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/generic_domain.py	(revision 8810)
@@ -1612,4 +1612,5 @@
                 self.max_speed = num.zeros(N, num.float)
 
+
     def evolve_one_euler_step(self, yieldstep, finaltime):
         """One Euler Time Step
Index: /trunk/anuga_core/source/anuga/config.py
===================================================================
--- /trunk/anuga_core/source/anuga/config.py	(revision 8809)
+++ /trunk/anuga_core/source/anuga/config.py	(revision 8810)
@@ -220,6 +220,6 @@
 
 # Determine if we can read/write large NetCDF files
-netcdf_mode_w = 'w'
-netcdf_mode_a = 'a'
+netcdf_mode_w = 'wl'
+netcdf_mode_a = 'r+'
 netcdf_mode_r = 'r'
 
Index: /trunk/anuga_core/source/anuga/file/netcdf.py
===================================================================
--- /trunk/anuga_core/source/anuga/file/netcdf.py	(revision 8809)
+++ /trunk/anuga_core/source/anuga/file/netcdf.py	(revision 8810)
@@ -43,4 +43,5 @@
 
 
+
     try:
         from Scientific.IO.NetCDF import NetCDFFile
@@ -48,7 +49,11 @@
     except:
         from netCDF4 import Dataset
-        return Dataset(file_name, netcdf_mode, format='NETCDF3_64BIT')
-
-    
+        if netcdf_mode == 'wl' :
+            return Dataset(file_name, 'w', format='NETCDF3_64BIT')
+        else:
+            return Dataset(file_name, netcdf_mode, format='NETCDF3_64BIT')
+
+#    from netCDF4 import Dataset
+#    return Dataset(file_name, netcdf_mode, format='NETCDF3_64BIT')
 
     #return Dataset(file_name, netcdf_mode, format='NETCDF3_CLASSIC')
Index: /trunk/anuga_core/source/anuga/file/sww.py
===================================================================
--- /trunk/anuga_core/source/anuga/file/sww.py	(revision 8809)
+++ /trunk/anuga_core/source/anuga/file/sww.py	(revision 8810)
@@ -205,11 +205,13 @@
         fid.close()
 
+
     def store_timestep(self):
         """Store time and time dependent quantities
         """
 
-        import types
+        #import types
         from time import sleep
         from os import stat
+
 
         # Get NetCDF
@@ -238,4 +240,5 @@
         # Check to see if the file is already too big:
         time = fid.variables['time']
+
         i = len(time) + 1
         file_size = stat(self.filename)[6]
@@ -309,5 +312,5 @@
                 z, _ = Q.get_vertex_values(xy=False)                
                 
-                storable_indices = (w-z >= self.minimum_storable_height)
+                storable_indices = num.array(w-z >= self.minimum_storable_height)
             else:
                 # Very unlikely branch
@@ -317,5 +320,5 @@
             dynamic_quantities = {}
             for name in self.writer.dynamic_quantities:
-                netcdf_array = fid.variables[name]
+                #netcdf_array = fid.variables[name]
                 
                 Q = domain.quantities[name]
@@ -363,5 +366,5 @@
 
             # Flush and close
-            fid.sync()
+            #fid.sync()
             fid.close()
 
@@ -793,5 +796,5 @@
                     
         
-        
+
     def store_quantities(self, 
                          outfile, 
Index: /trunk/anuga_core/source/anuga/shallow_water/boundaries.py
===================================================================
--- /trunk/anuga_core/source/anuga/shallow_water/boundaries.py	(revision 8809)
+++ /trunk/anuga_core/source/anuga/shallow_water/boundaries.py	(revision 8810)
@@ -26,4 +26,6 @@
      import Boundary, File_boundary
 import numpy as num
+
+import anuga.utilities.log as log
      
 
Index: /trunk/anuga_core/source/anuga/shallow_water/shallow_water_domain.py
===================================================================
--- /trunk/anuga_core/source/anuga/shallow_water/shallow_water_domain.py	(revision 8809)
+++ /trunk/anuga_core/source/anuga/shallow_water/shallow_water_domain.py	(revision 8810)
@@ -1553,5 +1553,5 @@
 
 
-    
+
     def evolve(self,
                yieldstep=None,
@@ -1583,4 +1583,5 @@
                                        finaltime=finaltime, duration=duration,
                                        skip_initial_step=skip_initial_step):
+
             # Store model data, e.g. for subsequent visualisation
             if self.store is True:
Index: /trunk/anuga_core/source/anuga/shallow_water/shallow_water_ext.c
===================================================================
--- /trunk/anuga_core/source/anuga/shallow_water/shallow_water_ext.c	(revision 8809)
+++ /trunk/anuga_core/source/anuga/shallow_water/shallow_water_ext.c	(revision 8810)
@@ -5486,4 +5486,5 @@
 }
 
+
 PyObject *compute_fluxes_ext_wb(PyObject *self, PyObject *args) {
     /*Compute all fluxes and the timestep suitable for all volumes
Index: /trunk/anuga_core/source/anuga_validation_tests/Case_studies/Okushiri/compare_timeseries_with_measures.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Case_studies/Okushiri/compare_timeseries_with_measures.py	(revision 8809)
+++ /trunk/anuga_core/source/anuga_validation_tests/Case_studies/Okushiri/compare_timeseries_with_measures.py	(revision 8810)
@@ -168,7 +168,12 @@
 #eps = get_machine_precision()
 
-# Windows tolerances
-rtol = 1.0e-2
-atol = 1.0e-2
+# Tolerances  for 20,000 triangles
+rtol = 2.0e-2
+atol = 2.0e-2
+
+# Tolerances  for 60,000 triangles
+#rtol = 1.0e-2
+#atol = 1.0e-2
+
 print 'Precisions used: rtol=%e, atol=%e' %(rtol, atol)
 
Index: /trunk/anuga_core/source/anuga_validation_tests/Case_studies/Okushiri/create_okushiri.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Case_studies/Okushiri/create_okushiri.py	(revision 8809)
+++ /trunk/anuga_core/source/anuga_validation_tests/Case_studies/Okushiri/create_okushiri.py	(revision 8810)
@@ -31,6 +31,6 @@
 #base_resolution = 0.04 # 989,669 triangles
 #base_resolution = 0.1 # 397,456 triangles
-base_resolution = 0.6 # 68162 triangles
-#base_resolution = 2.0 # 21214 triangles
+#base_resolution = 0.6 # 68162 triangles
+base_resolution = 2.0 # 21214 triangles
 #base_resolution = 4.0 # 11069 triangles
 
Index: /trunk/anuga_core/source/anuga_validation_tests/Case_studies/Okushiri/run_okushiri.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Case_studies/Okushiri/run_okushiri.py	(revision 8809)
+++ /trunk/anuga_core/source/anuga_validation_tests/Case_studies/Okushiri/run_okushiri.py	(revision 8810)
@@ -62,5 +62,5 @@
     domain.set_default_order(2)               # Apply second order scheme 
     domain.set_minimum_storable_height(0.001) # Don't store w < 0.001m
-    domain.set_quantities_to_be_monitored('stage')
+    #domain.set_quantities_to_be_monitored('stage')
 
 
@@ -69,8 +69,13 @@
     # or override manually yourself
     #------------------------------------------------------------------------------
-    from anuga.utilities.argparsing import parse_standard_args
-    alg, cfl = parse_standard_args()
+    #from anuga.utilities.argparsing import parse_standard_args
+    #alg, cfl = parse_standard_args()
+    alg = '1_5'
+    cfl = 1.0
     domain.set_flow_algorithm(alg)
     domain.set_CFL(cfl)
+    
+    
+    domain.set_store(False)
 	
 
@@ -105,7 +110,12 @@
     t0 = time.time()
 
-    for t in domain.evolve(yieldstep = 0.05, finaltime = 22.5):
+    for t in domain.evolve(yieldstep = 0.01, finaltime = 4.0):
+        print 80*"="
         domain.write_time()
-        print domain.quantity_statistics(precision='%.12f')
+        import objgraph
+        #objgraph.show_most_common_types()
+        #print objgraph.typestats(objgraph.get_leaking_objects())
+        objgraph.show_growth()
+        #print domain.quantity_statistics(precision='%.12f')
 
     print 'That took %.2f seconds' %(time.time()-t0)